AWS IoT Device SDK C++ v2: Aws::Greengrass::GreengrassCoreIpcClient Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | List of all members
Aws::Greengrass::GreengrassCoreIpcClient Class Reference

`#include <GreengrassCoreIpcClient.h>`

## Public Member Functions
| GreengrassCoreIpcClient (Aws::Crt::Io::ClientBootstrap &clientBootstrap, Aws::Crt::Allocator *allocator=Aws::Crt::g_allocator) noexcept
std::future< RpcError > | Connect (ConnectionLifecycleHandler &lifecycleHandler, const ConnectionConfig &connectionConfig=DefaultConnectionConfig()) noexcept
bool | IsConnected () const noexcept
void | Close () noexcept
SubscribeToIoTCoreOperation | NewSubscribeToIoTCore (SubscribeToIoTCoreStreamHandler &) noexcept
ResumeComponentOperation | NewResumeComponent () noexcept
PublishToIoTCoreOperation | NewPublishToIoTCore () noexcept
SubscribeToConfigurationUpdateOperation | NewSubscribeToConfigurationUpdate (SubscribeToConfigurationUpdateStreamHandler &) noexcept
DeleteThingShadowOperation | NewDeleteThingShadow () noexcept
DeferComponentUpdateOperation | NewDeferComponentUpdate () noexcept
SubscribeToValidateConfigurationUpdatesOperation | NewSubscribeToValidateConfigurationUpdates (SubscribeToValidateConfigurationUpdatesStreamHandler &) noexcept
GetConfigurationOperation | NewGetConfiguration () noexcept
SubscribeToTopicOperation | NewSubscribeToTopic (SubscribeToTopicStreamHandler &) noexcept
GetComponentDetailsOperation | NewGetComponentDetails () noexcept
PublishToTopicOperation | NewPublishToTopic () noexcept
ListComponentsOperation | NewListComponents () noexcept
CreateDebugPasswordOperation | NewCreateDebugPassword () noexcept
GetThingShadowOperation | NewGetThingShadow () noexcept
SendConfigurationValidityReportOperation | NewSendConfigurationValidityReport () noexcept
UpdateThingShadowOperation | NewUpdateThingShadow () noexcept
UpdateConfigurationOperation | NewUpdateConfiguration () noexcept
ValidateAuthorizationTokenOperation | NewValidateAuthorizationToken () noexcept
RestartComponentOperation | NewRestartComponent () noexcept
GetLocalDeploymentStatusOperation | NewGetLocalDeploymentStatus () noexcept
GetSecretValueOperation | NewGetSecretValue () noexcept
UpdateStateOperation | NewUpdateState () noexcept
ListNamedShadowsForThingOperation | NewListNamedShadowsForThing () noexcept
SubscribeToComponentUpdatesOperation | NewSubscribeToComponentUpdates (SubscribeToComponentUpdatesStreamHandler &) noexcept
ListLocalDeploymentsOperation | NewListLocalDeployments () noexcept
StopComponentOperation | NewStopComponent () noexcept
PauseComponentOperation | NewPauseComponent () noexcept
CreateLocalDeploymentOperation | NewCreateLocalDeployment () noexcept
| ~GreengrassCoreIpcClient () noexcept

## Constructor & Destructor Documentation

## ◆ GreengrassCoreIpcClient()

Aws::Greengrass::GreengrassCoreIpcClient::GreengrassCoreIpcClient | ( | Aws::Crt::Io::ClientBootstrap & | clientBootstrap,
|  | Aws::Crt::Allocator * | allocator = `Aws::Crt::g_allocator`
| ) |  |
| noexcept

## ◆ ~GreengrassCoreIpcClient()

Aws::Greengrass::GreengrassCoreIpcClient::~GreengrassCoreIpcClient | ( |  | ) |
| noexcept

## Member Function Documentation

## ◆ Close()

void Aws::Greengrass::GreengrassCoreIpcClient::Close | ( |  | ) |
| noexcept

## ◆ Connect()

std::future< RpcError > Aws::Greengrass::GreengrassCoreIpcClient::Connect | ( | ConnectionLifecycleHandler & | lifecycleHandler,
|  | const ConnectionConfig & | connectionConfig = `DefaultConnectionConfig()`
| ) |  |
| noexcept

Connect the client to the server

Parameters

  lifecycleHandler | An interface that is called upon when lifecycle events relating to the connection occur.
  connectionConfig | The configuration parameters used for establishing the connection.

Returns
  An `RpcError` that can be used to check whether the connection was established.

## ◆ IsConnected()

bool Aws::Greengrass::GreengrassCoreIpcClient::IsConnected | ( |  | ) | const
| inlinenoexcept

## ◆ NewCreateDebugPassword()

CreateDebugPasswordOperation Aws::Greengrass::GreengrassCoreIpcClient::NewCreateDebugPassword | ( |  | ) |
| noexcept

## ◆ NewCreateLocalDeployment()

CreateLocalDeploymentOperation Aws::Greengrass::GreengrassCoreIpcClient::NewCreateLocalDeployment | ( |  | ) |
| noexcept

## ◆ NewDeferComponentUpdate()

DeferComponentUpdateOperation Aws::Greengrass::GreengrassCoreIpcClient::NewDeferComponentUpdate | ( |  | ) |
| noexcept

## ◆ NewDeleteThingShadow()

DeleteThingShadowOperation Aws::Greengrass::GreengrassCoreIpcClient::NewDeleteThingShadow | ( |  | ) |
| noexcept

## ◆ NewGetComponentDetails()

GetComponentDetailsOperation Aws::Greengrass::GreengrassCoreIpcClient::NewGetComponentDetails | ( |  | ) |
| noexcept

## ◆ NewGetConfiguration()

GetConfigurationOperation Aws::Greengrass::GreengrassCoreIpcClient::NewGetConfiguration | ( |  | ) |
| noexcept

## ◆ NewGetLocalDeploymentStatus()

GetLocalDeploymentStatusOperation Aws::Greengrass::GreengrassCoreIpcClient::NewGetLocalDeploymentStatus | ( |  | ) |
| noexcept

## ◆ NewGetSecretValue()

GetSecretValueOperation Aws::Greengrass::GreengrassCoreIpcClient::NewGetSecretValue | ( |  | ) |
| noexcept

## ◆ NewGetThingShadow()

GetThingShadowOperation Aws::Greengrass::GreengrassCoreIpcClient::NewGetThingShadow | ( |  | ) |
| noexcept

## ◆ NewListComponents()

ListComponentsOperation Aws::Greengrass::GreengrassCoreIpcClient::NewListComponents | ( |  | ) |
| noexcept

## ◆ NewListLocalDeployments()

ListLocalDeploymentsOperation Aws::Greengrass::GreengrassCoreIpcClient::NewListLocalDeployments | ( |  | ) |
| noexcept

## ◆ NewListNamedShadowsForThing()

ListNamedShadowsForThingOperation Aws::Greengrass::GreengrassCoreIpcClient::NewListNamedShadowsForThing | ( |  | ) |
| noexcept

## ◆ NewPauseComponent()

PauseComponentOperation Aws::Greengrass::GreengrassCoreIpcClient::NewPauseComponent | ( |  | ) |
| noexcept

## ◆ NewPublishToIoTCore()

PublishToIoTCoreOperation Aws::Greengrass::GreengrassCoreIpcClient::NewPublishToIoTCore | ( |  | ) |
| noexcept

## ◆ NewPublishToTopic()

PublishToTopicOperation Aws::Greengrass::GreengrassCoreIpcClient::NewPublishToTopic | ( |  | ) |
| noexcept

## ◆ NewRestartComponent()

RestartComponentOperation Aws::Greengrass::GreengrassCoreIpcClient::NewRestartComponent | ( |  | ) |
| noexcept

## ◆ NewResumeComponent()

ResumeComponentOperation Aws::Greengrass::GreengrassCoreIpcClient::NewResumeComponent | ( |  | ) |
| noexcept

## ◆ NewSendConfigurationValidityReport()

SendConfigurationValidityReportOperation Aws::Greengrass::GreengrassCoreIpcClient::NewSendConfigurationValidityReport | ( |  | ) |
| noexcept

## ◆ NewStopComponent()

StopComponentOperation Aws::Greengrass::GreengrassCoreIpcClient::NewStopComponent | ( |  | ) |
| noexcept

## ◆ NewSubscribeToComponentUpdates()

SubscribeToComponentUpdatesOperation Aws::Greengrass::GreengrassCoreIpcClient::NewSubscribeToComponentUpdates | ( | SubscribeToComponentUpdatesStreamHandler & | streamHandler | ) |
| noexcept

## ◆ NewSubscribeToConfigurationUpdate()

SubscribeToConfigurationUpdateOperation Aws::Greengrass::GreengrassCoreIpcClient::NewSubscribeToConfigurationUpdate | ( | SubscribeToConfigurationUpdateStreamHandler & | streamHandler | ) |
| noexcept

## ◆ NewSubscribeToIoTCore()

SubscribeToIoTCoreOperation Aws::Greengrass::GreengrassCoreIpcClient::NewSubscribeToIoTCore | ( | SubscribeToIoTCoreStreamHandler & | streamHandler | ) |
| noexcept

## ◆ NewSubscribeToTopic()

SubscribeToTopicOperation Aws::Greengrass::GreengrassCoreIpcClient::NewSubscribeToTopic | ( | SubscribeToTopicStreamHandler & | streamHandler | ) |
| noexcept

## ◆ NewSubscribeToValidateConfigurationUpdates()

SubscribeToValidateConfigurationUpdatesOperation Aws::Greengrass::GreengrassCoreIpcClient::NewSubscribeToValidateConfigurationUpdates | ( | SubscribeToValidateConfigurationUpdatesStreamHandler & | streamHandler | ) |
| noexcept

## ◆ NewUpdateConfiguration()

UpdateConfigurationOperation Aws::Greengrass::GreengrassCoreIpcClient::NewUpdateConfiguration | ( |  | ) |
| noexcept

## ◆ NewUpdateState()

UpdateStateOperation Aws::Greengrass::GreengrassCoreIpcClient::NewUpdateState | ( |  | ) |
| noexcept

## ◆ NewUpdateThingShadow()

UpdateThingShadowOperation Aws::Greengrass::GreengrassCoreIpcClient::NewUpdateThingShadow | ( |  | ) |
| noexcept

## ◆ NewValidateAuthorizationToken()

ValidateAuthorizationTokenOperation Aws::Greengrass::GreengrassCoreIpcClient::NewValidateAuthorizationToken | ( |  | ) |
| noexcept

The documentation for this class was generated from the following files:

- greengrass_ipc/include/aws/greengrass/GreengrassCoreIpcClient.h
- greengrass_ipc/source/GreengrassCoreIpcClient.cpp